Subject: Custom platform for commercial device

From: [email-masked] (Gaëtan Carlier)
Date: Tue, 07 Aug 2012 17:56:46 +0200

Hello,
I have license related questions :

1) if I create and sell a device which is a fork of an existing 
platform, should I have to publish code of this new platform and/or give 
the code to customer if he asks it ?

2) Should I have to mention that my device is powered by Linux kernel ?
For a PC software, the GPL must be displayed at installation time but 
for embedded devices (ie. if a closed source software is used to send 
new kernel to the device) ?

3) Can I send patches to this list to add this new platform to be able 
maintain it more easily when kernel change implementation of some drivers ?

Thank you for these informations.
Best regards,
Ga?tan Carlier.